Bug 216056 - textproc/randlm: fails to build with clang 4.0
Summary: textproc/randlm: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-14 06:13 UTC by Jan Beich
Modified: 2017-12-21 21:35 UTC (History)
2 users (show)

See Also:
demon: maintainer-feedback+


Attachments
svn-diff_textproc_randlm (4.83 KB, patch)
2017-03-07 02:35 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-14 06:13:35 UTC
BloomMap.cpp:275:58: error: ordered comparison between pointer and zero ('int *' and 'int')
    assert(stats_counters_ && root_ == NULL && max_code_ > 0);
                                               ~~~~~~~~~ ^ ~

build log: http://sprunge.us/jhcF
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Jan Beich freebsd_committer 2017-01-19 14:13:47 UTC
> Assignee: demon@FreeBSD.orgjbeich@FreeBSD.org

Sorry, I don't care about leaf ports or those with very few consumers ending up BROKEN. The point here was to provide advance notice, so maintainers have time to report upstream or come up with a fix before bug 216008 lands.
Comment 2 Walter Schwarzenfeld freebsd_triage 2017-03-07 02:35:00 UTC
Created attachment 180582 [details]
svn-diff_textproc_randlm
Comment 3 commit-hook freebsd_committer 2017-12-21 21:18:13 UTC
A commit references this bug:

Author: dim
Date: Thu Dec 21 21:17:32 UTC 2017
New revision: 456948
URL: https://svnweb.freebsd.org/changeset/ports/456948

Log:
  Fix build of textproc/randlm with recent versions of clang.

  Approved by:	portmgr blanket
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  PR:		216056
  MFH:		2017Q4

Changes:
  head/textproc/randlm/Makefile
  head/textproc/randlm/files/patch-BitArray.cpp
  head/textproc/randlm/files/patch-BloomMap.cpp
  head/textproc/randlm/files/patch-LogFreqBloomFilter.cpp
  head/textproc/randlm/files/patch-RandLM.cpp
  head/textproc/randlm/files/patch-TableChunkLocator.h